Subject: TRT vs. Fertility
From: Hunter Williams <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 06 Feb 2026 23:04:34 +0000 (UTC)

Happy Friday!

I just dropped a brand-new long-form episode on Spotify breaking down fertility while on testosterone replacement therapy.

Best Fertility Add-Ons for TRT : (https://open.spotify.com/episode/1dS0vfCH45vWUQD7wrzZFN?si=LuhhCDshTmegjaZ2XJi2_Q)

This is something Taylor and I are navigating in real time right now as we think seriously about starting a family, so this wasn’t a theoretical episode for me. 

I’ve been forced to get extremely clear on what actually preserves fertility on TRT, what genuinely improves sperm parameters when conception is the goal, and what options are mostly just placeholders that don’t move the needle nearly as much as people think.

In this episode, I walk through the five most common TRT fertility adjuncts you’ll hear about. 

I explain what they do, when they make sense and when they don’t, and how I think about using them based on your age, goals, and timeline.

This email is the written companion to that episode. 

If you’re on TRT, considering TRT, or simply want to understand how fertility actually works in the context of male hormones, this is one you’ll want to save.

“FYI, Taylor and I will be doing a live coffee talk tomorrow (Saturday) morning at 10 AM EST. Come join us with your questions! [(Click Here for the link)](https://www.youtube.com/live/JccJTHbWF84?si=t8sQ7QAz5CGlaRSd)“ — 

———————————————————————————

**Enclomiphene**

Enclomiphene is usually the first fertility-adjacent compound men hear about because it’s orally bioavailable and easy to use. 

Mechanistically, it’s a selective estrogen receptor modulator. Instead of replacing hormones directly, it blocks estrogen’s feedback signal at the hypothalamus and pituitary, which tells the brain to release more LH and FSH. 

Those signals then stimulate the testes to produce testosterone and sperm endogenously.

For fertility, the appeal is obvious. 

On average, men see testosterone rise around 150–170 ng/dL while estradiol often stays stable or even drops slightly. 

Libido reduction is far less common than with clomiphene citrate, and emotional side effects tend to be milder because one of the problematic isomers has been removed.

Where enclomiphene really shines is in younger men who are either not yet on TRT or are just starting TRT and want to preserve baseline fertility over the next few years. 

It can help maintain LH and FSH output while testosterone is introduced, which may prevent a complete shutdown.

Where I personally become cautious is long-term use. 

I don’t view enclomiphene as a long-term solution. 

There is some concern around visual disturbances with chronic SERM use, and it requires a functional pituitary to work well. 

In my own case, likely due to prior concussions, it didn’t meaningfully move LH or FSH for me. Useful tool, but not my long-term backbone.

———————————————————————————

**hCG**

If there is a true cornerstone fertility adjunct for TRT, it’s hCG.

hCG works by mimicking luteinizing hormone directly. 

For men on TRT who want to preserve fertility, hCG is the most well-established option we have. 

Decades of clinical use. Strong safety profile. Predictable results. 

It prevents the massive drop in sperm count typically seen with TRT alone and significantly reduces testicular atrophy.

For basic preservation, many men do well with 250 IU 2-3 times per week. That’s often enough to maintain testicular function and fullness without significantly increasing estradiol. 

When active conception becomes the goal, doses are typically increased. 

I’m currently using 1,000 IU three times per week because I’m intentionally trying to move sperm parameters, not just preserve them.

Yes, hCG can increase estradiol, especially in men with higher body fat or at higher doses. 

That’s a dose management issue, not a reason to avoid it. 

For most men, hCG improves energy, libido, mood, and overall hormonal “completeness” on TRT because the testes are still participating instead of being completely dormant.

If you’re on TRT and fertility matters at all, hCG is usually the first thing I’d look at.

———————————————————————————

**hMG**

hMG is where things shift from preservation to performance.

Unlike hCG, which only mimics LH, hMG provides both LH and FSH activity. 

FSH directly stimulates the Sertoli cells, which are responsible for sperm production, maturation, and quality. 

TRT and hCG do not supply FSH.

This is why hMG is typically introduced when hCG alone hasn’t sufficiently improved sperm counts after three to six months, or when pregnancy is the immediate goal. 

Typical dosing ranges from 75 to 150 IU 2-3 times per week. I’m currently running 75 IU three times per week alongside hCG.

The results are often dramatic. Improved sperm count, motility, and morphology. 

Faster recovery of spermatogenesis. In many cases, men who were previously azoospermic recover viable sperm within months on hCG plus hMG.

The downside is cost. hMG is expensive. It’s injectable. It’s not something you run indefinitely. 

This is a targeted, time-bound intervention when conception matters. 

Once family planning goals are met, most men discontinue hMG and return to hCG alone or nothing at all.

If hCG is the backbone, hMG is the accelerator when you need it.

———————————————————————————

**Kisspeptin**

Kisspeptin is often misunderstood.

Mechanistically, it sits upstream of everything else. It stimulates GnRH release in the hypothalamus, which then triggers LH and FSH from the pituitary. In theory, that sounds perfect. One signal, full axis activation.

In practice, its short half-life makes it difficult to use as a primary fertility agent in men on TRT. 

It’s in circulation for minutes, not hours. Sustained effects would likely require multiple daily injections, which isn’t practical for most people.

Where kisspeptin consistently shines is in libido. 

There’s solid data showing it activates brain sexual arousal centers and increases penile blood flow. 

Clinically, I see it more like a libido and arousal enhancer than a fertility cornerstone.

Can it help fertility? Possibly, especially in women, and potentially in men as an adjunct. 

But compared to hCG, hMG, and enclomiphene, it’s not my first, second, or third choice for improving sperm parameters.

I see kisspeptin as something you might layer in for sexual function while using more reliable agents for fertility preservation or conception.

———————————————————————————

**Gonadorelin**

Gonadorelin is a synthetic GnRH. 

It stimulates the pituitary to release LH and FSH, but only if delivered in a pulsatile manner. 

Its popularity exploded when hCG became harder to source and more expensive. 

Clinics began offering gonadorelin as a cheaper alternative. And yes, it’s significantly less expensive.

The problem is consistency. Roughly half of men don’t respond meaningfully to it, especially if they’re already on TRT. 

It may help preserve some testicular size, but it does not reliably maintain intratesticular testosterone or sperm production.

For older men who are done having children and simply want to avoid extreme testicular atrophy on a budget, gonadorelin can make sense. 

For men prioritizing fertility, it’s not comparable to hCG.

———————————————————————————

**Final Thoughts**

There’s a big myth out there that needs to die.

“**TRT does not automatically destroy fertility.**“ — 

Poor protocols do.

Fertility is never guaranteed, whether you’re on testosterone or not. 

Many men today already have compromised sperm parameters before TRT ever enters the picture. 

The difference is whether you proactively support the system or ignore it.

Enclomiphene, kisspeptin, and gonadorelin work by maintaining your endocrine axis. 

hCG and hMG replace the missing signals directly and act more forcefully on the testes. 

Each has a role. Each has a time and place.

For most men, hCG is the foundation. hMG is reserved for when pregnancy matters. 

Enclomiphene can be useful in the short term. 

Kisspeptin can enhance libido. 

Gonadorelin is a budget option with limitations.

With the right strategy, many men can stay on testosterone and still conceive. 

If this topic matters to you, go listen to the full episode on Spotify. 

If you have questions, remember you can always submit them via my suggestion box in the footer.

Thank you for being a supporter of my work!

Best,

Hunter Williams

———

You are reading a plain text version of this post. For the best experience, copy and paste this link in your browser to view the post online:
https://huntershealthhacks.beehiiv.com/p/trt-vs-fertility